Extra job outcome
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/extra-jobs/{id}/outcome \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"reasons": [],
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', reasons: [], note: '<string>'})
};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/extra-jobs/{id}/outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/extra-jobs/{id}/outcome"
payload = {
"requestId": "<string>",
"reasons": [],
"note": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"recorded": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-contractor
Extra job outcome
What happened at your booked visit on that job; a resend replays
POST
/
p
/
:tenant
/
contractor
/
extra-jobs
/
{id}
/
outcome
Extra job outcome
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/extra-jobs/{id}/outcome \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"reasons": [],
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', reasons: [], note: '<string>'})
};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/extra-jobs/{id}/outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/extra-jobs/{id}/outcome"
payload = {
"requestId": "<string>",
"reasons": [],
"note": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"recorded": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Body
application/json
Available options:
fixed, made_safe, part_fixed, not_fixed, no_access, contractor_no_show Available options:
tenant_not_home, access_refused, keys_did_not_work, wrong_tools, parts_needed, bigger_than_expected, needs_other_trade, needs_quote_approval, unsafe_to_work, ran_out_of_time, other Response
Success